FILTERS(1)

NAME
Filters - Low quality overlap filtering

SYNOPSIS
fsa_ol_filter [options] overlaps filtered_overlaps

DESCRIPTION
Command line tool to filters out low-quality overlaps prior to assembling.

This takes the following parameters:

    overlaps

        The input filename

    filtered_overlaps

        The resulting ouput filename

OPTIONS

--min_length=INT

    minimum length of reads

    default: 2500

--max_length=INT

    maximum length of reads default: 2147483647

--min_identity=DOUBLE

    minimum identity of overlaps

    default: 90

--min_aligned_length=INT

    minimum aligned length of overlaps default: 2500

--max_overhang=INT

    maximum overhang of overlaps, negative number = determined by the program.

    default: 10

--min_coverage=INT

    minimum base coverage, negative number = determined by the program. default: -1

--max_coverage=INT

    maximum base coverage, negative number = determined by the program default: -1

--max_diff_coverage=INT

    maximum difference of base coverage, negative number = determined by the program default: -1

--coverage_discard=DOUBLE

    discard ratio of base coverage. If max_coverage or max_diff_coverage is negative, it will be reset to (100-coverage_discard)th percentile. default: 0.01

--overlap_file_type="|m4|m4a|paf|ovl"

    overlap file format. "" = filename extension, "m4" = M4 format, "paf" = PAF format generated by minimap2, "ovl" = OVL format generated by FALCON. default: ""

--bestn=INT

    output best n overlaps on 5' or 3' end for each read

    default: 10

--genome_size=INT

    genome size. It determines the maximum length of reads with coverage together default: 0

--coverage=INT

    coverage. It determines the maximum length of reads with genome_size together default: 0

--output_directory=STRING

    directory for output files default: "."

--thread_size=INT

    number of threads default: 4

Usage: fsa_ol_filter [options] overlaps filtered_overlaps

    overlaps

    input filename

    filtered_overlaps

    ouput filename

--min_length=INT

    minimum length of reads

    default: 2500

--max_length=INT

    maximum length of reads default: 2147483647

--min_identity=DOUBLE

    minimum identity of overlaps

    default: 90

--min_aligned_length=INT

    minimum aligned length of overlaps default: 2500

--max_overhang=INT

    maximum overhang of overlaps, negative number = determined by the program.

    default: 10

--min_coverage=INT

    minimum base coverage, negative number = determined by the program. default: -1

--max_coverage=INT

    maximum base coverage, negative number = determined by the program default: -1

--max_diff_coverage=INT

    maximum difference of base coverage, negative number = determined by the program default: -1

--coverage_discard=DOUBLE

    discard ratio of base coverage. If max_coverage or max_diff_coverage is negative, it will be reset to (100-coverage_discard)th percentile. default: 0.01

--overlap_file_type="|m4|m4a|paf|ovl"

    overlap file format. "" = filename extension, "m4" = M4 format, "paf" = PAF format generated by minimap2, "ovl" = OVL format generated by FALCON. default: ""

--bestn=INT

    output best n overlaps on 5' or 3' end for each read

    default: 10

--genome_size=INT

    genome size. It determines the maximum length of reads with coverage together default: 0

--coverage=INT

    coverage. It determines the maximum length of reads with genome_size together default: 0

--output_directory=STRING

    directory for output files default: "."

--thread_size=INT

    number of threads default: 4